ON_FileIterator Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_archive.h>`

## Public Member Functions

| ON_FileIterator ()
| ~ON_FileIterator ()
void | Destroy ()
const wchar_t * | FirstFile (const wchar_t *directory_name, const wchar_t *file_name_filter)
const wchar_t * | FirstFile (const char *directory_name, const char *file_name_filter)
const wchar_t * | NextFile ()
const wchar_t * | CurrentFileName () const
ON__UINT64 | CurrentFileSize () const
bool | CurrentFileIsDirectory () const
bool | CurrentFileIsHidden () const
bool | GetCurrentFullPathFileName (ON_wString &filename) const
ON__UINT64 | CurrentFileCreateTime () const
ON__UINT64 | CurrentFileLastModifiedTime () const
ON__UINT64 | CurrentFileLastAccessTime () const
ON__UINT64 | Count () const

## Detailed Description

Definition at line 187 of file opennurbs_archive.h.

## Constructor & Destructor Documentation

ON_FileIterator::ON_FileIterator | ( |  | ) |

ON_FileIterator::~ON_FileIterator | ( |  | ) |

## Member Function Documentation

ON__UINT64 ON_FileIterator::Count | ( |  | ) | const

ON__UINT64 ON_FileIterator::CurrentFileCreateTime | ( |  | ) | const

bool ON_FileIterator::CurrentFileIsDirectory | ( |  | ) | const

bool ON_FileIterator::CurrentFileIsHidden | ( |  | ) | const

ON__UINT64 ON_FileIterator::CurrentFileLastAccessTime | ( |  | ) | const

ON__UINT64 ON_FileIterator::CurrentFileLastModifiedTime | ( |  | ) | const

const wchar_t* ON_FileIterator::CurrentFileName | ( |  | ) | const

ON__UINT64 ON_FileIterator::CurrentFileSize | ( |  | ) | const

void ON_FileIterator::Destroy | ( |  | ) |

const wchar_t* ON_FileIterator::FirstFile | ( | const wchar_t * | directory_name,
|  | const wchar_t * | file_name_filter
| ) |  |

const wchar_t* ON_FileIterator::FirstFile | ( | const char * | directory_name,
|  | const char * | file_name_filter
| ) |  |

bool ON_FileIterator::GetCurrentFullPathFileName | ( | ON_wString & | filename | ) | const

const wchar_t* ON_FileIterator::NextFile | ( |  | ) |

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_archive.h